GNU bug report logs - #25848
[PATCH] gnu: %bootstrap-coreutils&co: Patch egrep/fgrep to point to the correct grep.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: manolis837@HIDDEN; Keywords: patch; merged with #25849; dated Thu, 23 Feb 2017 11:42:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 25848 25849. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Feb 2017 18:59:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 25 13:59:09 2017
Received: from localhost ([127.0.0.1]:56014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1chhYi-0007jZ-Tg
	for submit <at> debbugs.gnu.org; Sat, 25 Feb 2017 13:59:09 -0500
Received: from eggs.gnu.org ([208.118.235.92]:38749)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1chhYh-0007jN-82
 for submit <at> debbugs.gnu.org; Sat, 25 Feb 2017 13:59:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1chhYb-0006sT-8e
 for submit <at> debbugs.gnu.org; Sat, 25 Feb 2017 13:59:02 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36229)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <efraim@HIDDEN>)
 id 1chhYb-0006sP-5q
 for submit <at> debbugs.gnu.org; Sat, 25 Feb 2017 13:59:01 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57942)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1chhYa-00078s-3C
 for guix-patches@HIDDEN; Sat, 25 Feb 2017 13:59:00 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1chhYW-0006rm-4w
 for guix-patches@HIDDEN; Sat, 25 Feb 2017 13:59:00 -0500
Received: from flashner.co.il ([178.62.234.194]:37957)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1chhYV-0006rh-Tn
 for guix-patches@HIDDEN; Sat, 25 Feb 2017 13:58:56 -0500
Received: from [192.168.1.11] (85.64.232.168.dynamic.barak-online.net
 [85.64.232.168])
 by flashner.co.il (Postfix) with ESMTPSA id 873C4401FF;
 Sat, 25 Feb 2017 18:58:53 +0000 (UTC)
Date: Sat, 25 Feb 2017 18:58:51 +0000
User-Agent: K-9 Mail for Android
In-Reply-To: <20170223114119.18004-1-manolis837@HIDDEN>
References: <20170223114119.18004-1-manolis837@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: [PATCH] gnu: %bootstrap-coreutils&co: Patch egrep/fgrep to point
 to the correct grep.
To: manolis837@HIDDEN,guix-patches@HIDDEN
From: Efraim Flashner <efraim@HIDDEN>
Message-ID: <C634411A-54AB-496B-97CC-4C7D7FFF2BE2@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)



On February 23, 2017 1:41:18 PM GMT+02:00, manolis837@gmail=2Ecom wrote:
>
>Hello everyone,=20
>
>Commit 653add37af10b0d5dbc20c8bc7ce30eec8cf4ae7 patches egrep/fgrep to
>point to the location of grep=2E=20
>But the problem is that when it was run on Hurd, the path for grep in
>egrep/fgrep had this form:=20
>/gnu/store/eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee-grep-2=2E25/bin/grep
>
>The above was not being substituted and caused the build to fail=2E So I
>changed the pattern to=20
>"/[^ ]+/bin/grep" and now the path is always replaced=2E=20
>

I also pushed a patch that patched the generated [e|f]grep to not have the=
 path inserted into it, so the aarch64 bootstrap binaries have:
#!/bin/sh
exec grep -F=2E=2E=2E
I think we're going to have to find a way that works for both architecture=
s=2E I tried using (%current-target) but I couldn't get it to work inside t=
he snippet=2E

>Also (getcwd) returns the current path which the build takes place=2E
>This happens to be /tmp/guix-build-=2E=2E-bootstrap-binaries-0=2E
>This is wrong because it should point to the final place in /gnu/store=2E
>That why I am using "out"=2E

While that is probably better, in the end it doesn't really matter I belie=
ve, when I ran 'find /gnu -name fgrep -execdir cat {} +' it showed both bas=
h and grep pointing to the bootstrap binaries=2E

>Thank you,
>Manolis

--=20
Sent from my Android device with K-9 Mail=2E Please excuse my brevity=2E




Information forwarded to guix-patches@HIDDEN:
bug#25848; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Feb 2017 11:41:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 23 06:41:43 2017
Received: from localhost ([127.0.0.1]:52008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cgrmJ-0003aD-7f
	for submit <at> debbugs.gnu.org; Thu, 23 Feb 2017 06:41:43 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37885)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manolis837@HIDDEN>) id 1cgrmH-0003Zw-Ax
 for submit <at> debbugs.gnu.org; Thu, 23 Feb 2017 06:41:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <manolis837@HIDDEN>) id 1cgrmB-0002DS-9t
 for submit <at> debbugs.gnu.org; Thu, 23 Feb 2017 06:41:36 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59377)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <manolis837@HIDDEN>)
 id 1cgrmB-0002DO-6p
 for submit <at> debbugs.gnu.org; Thu, 23 Feb 2017 06:41:35 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57070)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <manolis837@HIDDEN>) id 1cgrmA-0008JM-4F
 for guix-patches@HIDDEN; Thu, 23 Feb 2017 06:41:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <manolis837@HIDDEN>) id 1cgrm6-0002CM-8x
 for guix-patches@HIDDEN; Thu, 23 Feb 2017 06:41:34 -0500
Received: from mail-wr0-x234.google.com ([2a00:1450:400c:c0c::234]:35442)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <manolis837@HIDDEN>)
 id 1cgrm6-0002Bw-1n
 for guix-patches@HIDDEN; Thu, 23 Feb 2017 06:41:30 -0500
Received: by mail-wr0-x234.google.com with SMTP id s27so20079732wrb.2
 for <guix-patches@HIDDEN>; Thu, 23 Feb 2017 03:41:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id;
 bh=TQQj4lAHsQGajHOOzb84vBFwvA/hJRZZbLbSEaDBAp8=;
 b=Is3NwTu2l6wC7rWm3uRjCGe9Kruih9S9RN78lJi1RqKvi4nJpUGTlJmBvg+YXAK/ip
 uMqsrjKnWSD62eV5PqmfDxcfyhox8EMClhHc44KETnFv/fJbwns5KyJIXCDKyHIX6i0l
 P7z+SzvFhzrajn+085ErufrLuDjFGtiprsMYI6/PTtGn+nVP15fmiZwSRpmFzQquNduW
 ozjou9ftnsfSGcKIUOPN/XE5k0NnIxbMxJbsRyP/zYUiuCilk1qnt3Yx00KEufEM9rv4
 CrRxab1qx6wmmugM2o0/QKALDtg2ceRRr3kRXv0xBMAUr0bRhdVYT049KeSSm4qEE8GD
 Fj1A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id;
 bh=TQQj4lAHsQGajHOOzb84vBFwvA/hJRZZbLbSEaDBAp8=;
 b=ZHHk78cn+OVZpJNePDhWb3QvdFoHU6Rw5G3W/Haa2hvATd/L3jK7C5xYcENqfqjwyJ
 m40ohxOX+qAMqneGp5vN0etH21/k2fXbcomY4h93IO8ZFG3ELJ+oQhkZjDxW/X4km3ns
 HR1M6hROmWzwSjvfbiybDwCzkomtLyKLdS9JIdEkNomfNIdUl/5YzVh0ynCeegT7+ma6
 H/WmlR7fV4Y9LiYd3QN6dBbVm6spyZxUClYM77xF1KR4OAk343C8CpLhvXckUHh/m5cD
 SuO88gBYAUmATxLSSet2Ea5/szSeSg+FfpNFC1aJB36U+qVaFDnzWG9sCTuS/BoN0i1r
 q1Pg==
X-Gm-Message-State: AMke39nKm/T65xSIrVfaDuHe8CuqKct/QB5OFYNI8QD7VTgISENgwM1a+Hot3w84/TfW0w==
X-Received: by 10.223.167.71 with SMTP id e7mr29196102wrd.154.1487850087358;
 Thu, 23 Feb 2017 03:41:27 -0800 (PST)
Received: from localhost.localdomain (ppp-94-65-222-197.home.otenet.gr.
 [94.65.222.197])
 by smtp.gmail.com with ESMTPSA id d42sm5680093wrd.7.2017.02.23.03.41.26
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 23 Feb 2017 03:41:26 -0800 (PST)
From: manolis837@HIDDEN
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: %bootstrap-coreutils&co: Patch egrep/fgrep to point to
 the correct grep.
Date: Thu, 23 Feb 2017 13:41:18 +0200
Message-Id: <20170223114119.18004-1-manolis837@HIDDEN>
X-Mailer: git-send-email 2.11.1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
Cc: efraim@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)


Hello everyone, 

Commit 653add37af10b0d5dbc20c8bc7ce30eec8cf4ae7 patches egrep/fgrep to point to the location of grep. 
But the problem is that when it was run on Hurd, the path for grep in egrep/fgrep had this form: 
/gnu/store/eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee-grep-2.25/bin/grep

The above was not being substituted and caused the build to fail. So I changed the pattern to 
"/[^ ]+/bin/grep" and now the path is always replaced. 

Also (getcwd) returns the current path which the build takes place. This happens to be /tmp/guix-build-..-bootstrap-binaries-0.
This is wrong because it should point to the final place in /gnu/store. That why I am using "out".

Thank you,
Manolis




Acknowledgement sent to manolis837@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#25848; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 26 Mar 2017 14:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.